View Issue Details

IDProjectCategoryView StatusLast Update
0001219Main CAcert Websiteaccount administrationpublic2014-02-11 21:32
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2013 Q4 
Target Version2013 Q4Fixed in Version2013 Q4 
Summary0001219: In SE console the GPG certificate statistics show wrong value for expired certs
DescriptionThe value for the GPG certificate statistiks show the value of the expired client cert instead of the expired gpg certs.
Additional InformationFor the testing create GPG certificates.
Tell one Software Assesor the client ID of a certifiicate where the expiration date should be changed. Looks like 117xx.
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Activities

INOPIAE

2013-11-03 07:30

updater   ~0004422

I pushed a fix to https://github.com/INOPIAE/CAcert/commit/c29a0e00c86f514995260cb70ba544677982aa29

INOPIAE

2013-11-03 19:58

updater   ~0004423

Last edited: 2013-11-05 21:19

View 3 revisions

After the fix my test account shows the correct values.

Prior to the fix
9 9 64

After the fix
9 9 0 => ok

After changing the expire date for one certificate with the help of a Software assesor
9 8 1 =>ok

=> ok

PS
A second certificate that expired yesterday is shown correctly too.

MartinGummi

2013-11-05 22:06

updater   ~0004430

Prior to the fix:
Certificates
Cert Type: 	Total 	Valid 	Expired
GPG:            9       9       64


After the fix:
Certificates
Cert Type: 	Total 	Valid 	Expired
GPG: 	        9 	7 	2 

NEOatNHNG

2013-11-05 22:22

administrator   ~0004433

Did a second review. Everything OK.

Eva

2013-11-05 22:25

updater   ~0004434

Last edited: 2013-11-05 22:28

View 2 revisions

Before fix:
looked at an account with multiple certificates before the patch was applied
 - the number of Client and GPG-Certificates were equal
 - GPG: Total < Expiered

After fix:
looked at the same account after the patch was applied
 - number of expired GPG was different from number of client certificates
 - GPG: Total= Valid + Expired
-> ok
looked at the same account after another GPG-Certificate expired
 - number of expired GPG was different from number of client certificates
 - Change was displayed
 - GPG: Total = Valid
-> ok

added another GPG-cert to my own account which expired; an old GPG-cert was expired, too
 - numbers were correct all the time
-> ok

=> ok

NEOatNHNG

2013-11-06 15:26

administrator   ~0004446

Mail sent to critical admins

wytze

2013-11-06 16:39

developer   ~0004449

The fix has been installed on the production server on November 6, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-11/msg00001.html

Issue History

Date Modified Username Field Change
2013-11-03 07:08 INOPIAE New Issue
2013-11-03 07:08 INOPIAE Assigned To => INOPIAE
2013-11-03 07:30 INOPIAE Note Added: 0004422
2013-11-03 07:30 INOPIAE Assigned To INOPIAE => BenBE
2013-11-03 07:30 INOPIAE Status new => fix available
2013-11-03 19:44 BenBE Reviewed by => BenBE
2013-11-03 19:44 BenBE Assigned To BenBE => NEOatNHNG
2013-11-03 19:44 BenBE Status fix available => needs review & testing
2013-11-03 19:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 974eb4ac
2013-11-03 19:45 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 0e36f8f6
2013-11-03 19:45 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 1e721b60
2013-11-03 19:45 INOPIAE Source_changeset_attached => cacert-devel testserver-stable c29a0e00
2013-11-03 19:58 INOPIAE Note Added: 0004423
2013-11-03 19:59 INOPIAE Additional Information Updated View Revisions
2013-11-05 21:18 INOPIAE Note Edited: 0004423 View Revisions
2013-11-05 21:19 INOPIAE Note Edited: 0004423 View Revisions
2013-11-05 22:06 MartinGummi Note Added: 0004430
2013-11-05 22:22 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2013-11-05 22:22 NEOatNHNG Note Added: 0004433
2013-11-05 22:22 NEOatNHNG Status needs review & testing => needs testing
2013-11-05 22:25 Eva Note Added: 0004434
2013-11-05 22:28 Eva Note Edited: 0004434 View Revisions
2013-11-06 00:25 NEOatNHNG Status needs testing => ready to deploy
2013-11-06 15:26 NEOatNHNG Note Added: 0004446
2013-11-06 15:30 NEOatNHNG Source_changeset_attached => cacert-devel release be7573a3
2013-11-06 16:39 wytze Note Added: 0004449
2013-11-06 16:39 wytze Status ready to deploy => solved?
2013-11-06 16:39 wytze Fixed in Version => 2013 Q4
2013-11-06 16:39 wytze Resolution open => fixed
2014-02-11 21:32 INOPIAE Status solved? => closed